Popout for Windows                             
                             -1-
                     POPOUT Users Manual

                      Table of Contents
Introduction . . . . . . . . . . . . . . . . . . . . . . . . .  2
Installation . . . . . . . . . . . . . . . . . . . . . . . . .  3
Windows Install. . . . . . . . . . . . . . . . . . . . . . . .  4
I'm not quite sure what to do! . . . . . . . . . . . . . . . .  5
POPOUT Install - The Short Version . . . . . . . . . . . . . .  5
Creating a Stereogram. . . . . . . . . . . . . . . . . . . . .  6
Create a Drawing . . . . . . . . . . . . . . . . . . . . . . .  6
Redefine the Paintbrush Palette. . . . . . . . . . . . . . . .  6
Initialize the Paintbrush Canvas . . . . . . . . . . . . . . .  7
Create your Drawing. . . . . . . . . . . . . . . . . . . . . .  7
Save your Drawing. . . . . . . . . . . . . . . . . . . . . . .  8
Generate the Stereogram. . . . . . . . . . . . . . . . . . . .  9
Source File. . . . . . . . . . . . . . . . . . . . . . . . . .  9
Destination File . . . . . . . . . . . . . . . . . . . . . . .  9
Translate File . . . . . . . . . . . . . . . . . . . . . . . .  9
Selecting a Translate File . . . . . . . . . . . . . . . . . . 10
Structure of a Translate File. . . . . . . . . . . . . . . . . 10
Output Style . . . . . . . . . . . . . . . . . . . . . . . . . 11
Black and White Output Style . . . . . . . . . . . . . . . . . 11
Random Output Style. . . . . . . . . . . . . . . . . . . . . . 11
Custom Color Output Style. . . . . . . . . . . . . . . . . . . 11
Selecting a Color File . . . . . . . . . . . . . . . . . . .   12
Create Color . . . . . . . . . . . . . . . . . . . . . . . .   12
Create Color File Window . . . . . . . . . . . . . . . . . .   12
Foreground Color Buttons . . . . . . . . . . . . . . . . . .   13
Background Color Select. . . . . . . . . . . . . . . . . . .   13
Clear Button . . . . . . . . . . . . . . . . . . . . . . . .   13
Save and Cancel Buttons. . . . . . . . . . . . . . . . . . .   14
Structure of a Color File. . . . . . . . . . . . . . . . . .   14
Color File . . . . . . . . . . . . . . . . . . . . . . . . .   17
Pattern Width. . . . . . . . . . . . . . . . . . . . . . . .   18
Pixel Density. . . . . . . . . . . . . . . . . . . . . . . .   18
Generate and Cancel. . . . . . . . . . . . . . . . . . . . .   19
View and Print the Stereogram. . . . . . . . . . . . . . . .   19
Hints for Printing . . . . . . . . . . . . . . . . . . . . .   20
Hints for Viewing. . . . . . . . . . . . . . . . . . . . . .   20
Problems, Suggestions, etc.. . . . . . . . . . . . . . . . .   21

                             -2-

NOTE:
This manual was written for the commercial version of POPOUT.
While this is a fully functional stereogram generator, it does 
not contain all of the added enhancements that were later added
to the commercial version of the software.  Refer to the file 
POPOUT.HLP for a description of the enhancements.  When you
register your shareware, we will send you a complimentary
copy of the commercial version.  Thanks again for trying POPOUT!

Introduction

POPOUT generates Random Dot Stereogram (RDS) image from drawings
that you create.  Stereogram images of the style that POPOUT
creates appear at first glance to be a repeating pattern of random
dots.  When viewed properly, however, a "hidden" three dimensional
image will "POP OUT" of the stereogram!

Using Paintbrush or some other suitable drawing tool, you will
create a drawing using a 16-color palette.  After saving your
drawing, you will invoke POPOUT.  POPOUT will read your drawing,
interpreting each of the 16 colors in your drawing as a "level",
and create an image file which is a stereogram image containing
your drawing hidden within it.  POPOUT is capable of creating
stereograms in Black & White, Random Colors, or in Custom Color
schemes of your own design.  Using Paintbrush, you can then view
and print your stereogram.

If you haven't yet installed POPOUT onto your hard drive, read the
"Installation" topic, and we'll guide you through the 
installation.


                             -3-
Installation

Installation of POPOUT is easy.  Depending on how you received your
software, installation may be different for different users. 
Select from the below list the topic that most applies to you:

I Thought it was already installed!
Windows Install
I'm not quite sure what to do!
POPOUT Install - The Short Version

I Thought it was already installed!
Could be, you're right.  If your diskette was received through some
sort of magazine or distributor, and you've already been through
some sort of "Install" or "Setup" utility, then you've probably got
POPOUT on your hard disk already.  Check for a Program Group or
Program Item called POPOUT, and an icon that looks like a minature
stereogram.

If so, POPOUT is already installed.  Go to the topic "Introduction"
to get you started.  If not, go to the topic "Windows Install" and
we'll get POPOUT installed for you.

                             -4-
Windows Install

Depending on the method that your software was distributed, it may
be installed by an "Install" or "Setup" type of utility. 
Otherwise, follow the steps below for a sure-fire install.

Put the POPOUT disk in your floppy drive.
Start the File Manager.
In the Program Manager, find and double click on the "File Manager"
icon.  The File Manager is usually located in the "Main" Program
Group.
Create a POPOUT directory on your hard drive.
     In the File Manager, click on the "File" pulldown, then click
     on "Create Directory...".  In the window that appears, type:
     C:\POPOUT (and press the 'Enter' key)
Open the POPOUT directory.
     In the center of the File Manager, move the scroll bar until
     the POPOUT directory is visible.  Double click on it to open
     the directory.
Make the floppy the current drive.
     Click on the symbol representing your floppy drive.
Copy the POPOUT files to the hard drive.
     Hold down the left mouse button on the opened folder that
     represents you POPOUT floppy on the left hand side of the FIle
     Manager window, then drag it to the symbol that represents
     your hard drive.  Release the mouse button.  A window will
     appear that asks you if you want to do the copy.  Click the
     "Yes" button.
Exit the File Manager
Create a POPOUT Program Group
     In the Program Manager window, click on the "File" pulldown,
     then click on "New".  Press the "Program Group" button, then
     click on "OK".  A second window will appear.  Under
     "Description", type the word POPOUT followed by the 'Enter'
     key.
Create the POPOUT Program Item
     In the Program Manager window, click on the "File" pulldown,
     then click on "New".  This time, press the "Program Item"
     button, and click on "OK".  Another window will appear.  Click
     in the "Description" box, and type the word POPOUT (but DON'T
     press the 'Enter' key).  Click in the "Command Line" box, and
     type the following: C:\POPOUT\POPOUT.EXE followed by the
     'Enter' key.
Create a POPOUT Help Program Item
     In the Program Manager window, click on the "File" pulldown,
     then click on "New".  Press the "Program Item" button, and
     click on "OK".  Another window will appear.  Click in the
     "Description" box, and type the words POPOUT Help (but DON'T
     press the 'Enter' key).  Click in the "Command Line" box, and
     type the following:C:\POPOUT\POPOUT.HLP followed by the
     'Enter' key.

                             -5-
That's it!  POPOUT is installed on your hard drive.
You may want to resize your POPOUT Program group to make it a bit
smaller.

Refer to the "Introduction" topic, and we'll get you going on
creating your own stereograms!

I'm not quite sure what to do!

No problem.  If you're reading this, you're on the right track.  If
you've already installed POPOUT, go to the topic "Introduction". 
This will get you started in creating stereograms.  If you haven't
yet installed POPOUT, go to "Windows Install".  If you're not sure
if POPOUT has been installed, also refer to "Windows Install".  The
"Windows Install" topic will guide you through the installation of
POPOUT.

POPOUT Install - The Short Version

This topic is included for the experienced user who is comfortable
with DOS commands and the creation of Program Groups and Program
Items.  If you'd rather stay within Windows and be guided through
the installation, go to the "Windows Install" topic:

The Short Version:
     Shell out to DOS.
     Create a directory on your hard drive called POPOUT.
     Copy all of the files on the POPOUT floppy to the POPOUT
     directory.
     Back in Windows, create a Program Group called POPOUT, or add
     the POPOUT Program Item to an existing Group.
     Create the POPOUT Program Item with the command line
     POPOUT.EXE, and your POPOUT directory as the working
     directory.  If you want, add POPOUT.HLP to the Group.

                             -6-
Creating a Stereogram

The following are the main steps you will follow in creating a
stereogram image:

Create a Drawing
Generate the Stereogram
View and Print the Stereogram

Create a Drawing

The first step in generating a stereogram image is to design the
image that you want to be hidden within the stereogram.  This is
the most time-consuming part of the process.

We've designed POPOUT to be used easily in conjunction with
Microsoft Paintbrush, which all Windows users possess, and most are
familiar with. If you've never used Paintbrush, you may want to
spend some time getting familiar with it.  If you prefer another
drawing tool, you may certainly use it. POPOUT's only requirement
is that your drawing be in 16-color BMP format.  For purposes of
this document, we will assume that you are using Paintbrush to
create your drawings.

We recommend that you create your drawing by following the steps
shown below:

Redefine the Paintbrush Palette
Initialize the Paintbrush Canvas
Create your Drawing
Save your Drawing

Redefine the Paintbrush Palette

Your distribution diskette contains a Paintbrush Palette definition
file called POPOUT.PAL.  We suggest that you redefine the palette
using this file.

When you start Paintbrush, you may have noticed that the default
Paintbrush palette consists of 28 colors.  Since Paintbrush can
only save 16 of these uniquely (we don't know why), we've limited
POPOUT to accepting drawings which are in a 16-color format.  This
means that in creating your drawing, you will use at a maximum only
16 colors from the Paintbrush palette.
Click on the Paintbrush "Options" pulldown, then click on "Get
Colors...".  Select the file POPOUT.PAL from your POPOUT directory.

This file will redefine the Paintbrush palette such that all but 16
colors will be "blacked out".  Furthermore, the remaining 16 colors
will be rearranged in such a way as to make it easier for you to
remember which color will map to which level in the stereogram.

                             -7-
Initialize the Paintbrush Canvas

Only the left-most 16 colors of the Paintbrush palette (8 on top
and 8 on the bottom) will be used in creating your drawing.  If
you've redefined the palette with POPOUT.PAL, these colors are the
only ones remaining.

Before starting your drawing, you should clear the canvas to the
top-left palette color.  If you've used POPOUT.PAL, this color is
Black.  If you haven't, this color is White.
Before clearing the canvas, you might want to decide on an image
size.  Click on "Options", then "Image Attributes".  Click on the
"pels" (meaning pixels) "radio" button.  Enter the "Width" and
"Height" of your image.  We suggest starting something small, like
320 Width by 200 Height.

Once you've chosen the size of your drawing, you're ready to clear
the canvas. Click on the top-left color of the palette with the
RIGHT mouse button.  Click on the "File" pulldown, then click on
"New".

Hint:
Later, you may want to experiment with clearing the canvas to a
different color.  You can get some interesting "Push In" effects
(rather than POP OUT) in your stereograms.

Create your Drawing

Creating your drawing is the most time consuming part of generating
a stereogram image.  This is where you will actually draw the image
that you want POPOUT to hide within your stereogram.
Using all of the normal Paintbrush tools, go ahead and create your
drawing.  The important thing to remember is that the colors you
choose will be interpreted by POPOUT as "levels".  Of the 16
left-most colors, the color on the top left (Black if you've used
POPOUT.PAL) will be interpreted as the level furthest from the
viewer.  The next color (Dark Red if you've used POPOUT.PAL) is
closer to the viewer.  This continues on until the bottom-right
color (White if you've used POPOUT.PAL) is the closest level to the
viewer.

                             -8-
Important!
Do not confuse these colors with the colors of your stereogram. 
The color of your stereogram has nothing to do with the colors you
use to create your drawing.  The colors that you use here is simply
a way for you to put depth information into your drawing.

Hint:
If this is your first time, you may want to use a drawing that
we've included on your diskette, rather than creating one of your
own.  Click on "File", then click on "Open".  Select the file
EXAMPI.BMP from your POPOUT directory.  This is a good example of
a 16-color drawing.

Another Hint:
When you're creating your drawing, try not to have less than 3 or
4 pixels of the same color (level) in one horizontal row.  For
example, don't draw a vertical line that is only 1 pixel wide. 
Because of the way the illusion works, something like this will be
very hard to see in the stereogram.

Save your Drawing

Once you're finished with your drawing, you will need to save it to
disk in order for POPOUT to read it.  Your drawing (which POPOUT
calls a Source File) must be in a 16-color BMP format.
To save the drawing, click on the "File" pulldown, then click on
"Save As...".  In the "Save File as Type" window, select "16 Color
bitmap".  Here, you will need to choose a filename, for example,
EXAMPI.BMP.

Hint:
We prefer to save Source File drawings with a filename ending in
the letter "I" to indicate that this is an input file to POPOUT. 
By naming the stereogram the same name but without the "I", it is
easy to remember which drawing was used to create which stereogram.

Warning!
Some new users of POPOUT invariably try to convert a scanned
photograph to a stereogram.  You should be aware that THIS WILL NOT
WORK!  This is not a fault of POPOUT.  A scanned photograph
contains NO depth information encoded within it.  Colors or
greyshades produced by a scan are NOT the same thing as depth
information.  POPOUT (or any other RDS generator) has no way of
determining relative depth in the image.

                             -9-
Generate the Stereogram

Once you've created your Source File drawing and saved it to disk
in 16-color BMP format, you're ready to start POPOUT.
In the POPOUT Main Menu, you will specify the Source File drawing
and specify a filename for POPOUT to save the stereogram, called
the Destination File.  After filling in a number of optional
parameters, you will be ready to generate your stereogram.  The
following topics provide a description of all of the controls in
the POPOUT Main Menu.

Source File

The Source File is the filename of the 16-color BMP drawing that
you created using Paintbrush or another similar tool.  This is the
main source of information for POPOUT when creating a stereogram,
as it contains the image that POPOUT will hide within the
stereogram.

In the POPOUT Main Menu, click on the Source File button, and
select the filename of the drawing that you created.

Destination File

The Destination File is the file which is your stereogram.  POPOUT
will create this file.  The purpose of the Destination File button
in the POPOUT Main Menu is for you to specify the filename.
POPOUT saves stereograms in BMP format so that they can be viewed
by Paintbrush.

Hint:
When specifying the Destination FIle name, use a name similar to
the name you gave to your Source File drawing when you saved it in
Paintbrush.  Down the road, it will help you remember which drawing
was used to create the stereogram.  If your Source File drawing is
called EXAMPI.BMP, you may want to name the Destination file
something like EXAMPO.BMP.

Translate File

It turns out that there seems to be some "quirkiness" in the way
Paintbrush saves BMP drawings.  We're not sure why, but 16-color
BMP drawings are saved slightly differently when Windows is running
in 16-color mode as opposed to 256-color mode.  A couple of the
colors get mixed up when Paintbrush saves the drawing.  In the
tests we've run with Windows in 64K or 16M color modes, Paintbrush
will only save 8 unique colors of your drawing.  For this reason,
we suggest that you have Windows running in 16-color or 256-color
mode (which is probably the way most people's environment is set up
anyway).

                             -10-
Furthermore, while we recommend that you redefine your Paintbrush
palette with POPOUT.PAL when creating your Source File drawing,
some folks may choose not to do so.
Because of all of these things, we needed to introduce some
mechanism that was the "final word" on how colors in the Source
File drawing are to be converted to levels in the Destination File
stereogram.  This is the purpose of the Translate File.  We've
included three Translate Files on your diskette; one of them should
fit your environment.

Selecting a Translate File

Most all POPOUT users will be able to make use of one of the three
Translate Files included on your disk.  Read through the following
scenereos, and find the one that fits your particular environment.
If you have Windows running in 16-color mode, and you've used
POPOUT.PAL to redefine your Paintbrush palette, then use
POPOUT16.POT as your Translate File.

If you have Windows running in 256-color mode, and you've used
POPOUT.PAL to redefine your Paintbrush palette, then use POPOUT.POT
as your Translate File. This is the scenereo we prefer to use, and
recommend that you use.

If you have Windows running in 16-color mode, and you've chosen to
use the default Paintbrush palette, then use POP16ORG.POT as your
Translate File.

If you have WIndows running in 256-color mode, and you've chosen to
use the default Paintbrush palette, then you will not need a 
Translate File.

Structure of a Translate File

While you should never need to create your own Translate File,
we've included this topic to explain what is contained within the
Translate File.

The Translate File is a simple text file, consisting of 16 lines. 
Each line contains one of the numbers 0 through 15.
The Translate File assigns positional numbers to the 16 left-most
default colors of the Paintbrush palette.  If you were to start
Paintbrush and NOT redefine the palette, you could assign numbers
0 through 7 to the 8 top-left colors, and the numbers 8 through 15
to the 8 bottom-left colors.

The first line of the Translate File specifies which one of these
colors should be the "bottom" level of the stereogram (the level
furthest from the viewer).  The next line contains the number of
the color for the next level up, etc.  The 16th line of the
Translate File specifies the color that will map to the "top"
level, the level closest to the viewer.

                             -11-
Output Style

The Output Style section of the POPOUT Main Menu consists of three
"radio" style pushbuttons.  The Output Style specifies the type of
stereogram that you want POPOUT to create.  The following topics
will discuss each of these Output Styles.

Black and White Output Style

This is the default Output Style.  This Output Style selection will
tell POPOUT to generate your Destination File stereogram in the
form of a 2-color BMP file.  For hardcopy to a simple black and
white printer, this is the Output Style you'll want to use.

Random Output Style

This Output Style button tells POPOUT to generate the Destination
file stereogram using a random selection of 256 colors.
These stereograms are stored as a 256-color BMP file.

Hint:
Random color stereograms, even though they are 256 color, convert
nicely to a 16 color format.  Read the stereogram in Paintbrush,
then resave it as a 16-color BMP.  This may be helpful for users
with color printers with limited capability.

Custom Color Output Style

This is the Output Style that allows users precise control over the
coloring of their stereograms.  When this Output Style is selected,
POPOUT needs some mechanism to tell it precisely how to color the
stereogram.  It uses something we call a Color File to do this.

Important!
Don't confuse the color of the stereogram with the colors that you
used when creating your Source File drawing in Paintbrush.  Those
colors that you used in Paintbrush were converted by POPOUT to
"levels", and have nothing to do with the color of the stereogram.
The Color File is the mechanism used by POPOUT to control the color
of the stereogram.  The Color File contains, in precise detail, how
the color of the stereogram should vary from top to bottom of the
image.

When using this Output Style, you must either create a new Color
File by clicking on the Create Color button, or use a previously
created Color File by clicking on the Color File button.

                             -12-
Selecting a Color File

The rectangular Color File button is used to select a previously
created Color File when generating custom color stereograms.  Click
on the button, then select the Color File you want POPOUT to use
when coloring the stereogram (Color Files have a default extension
of *.POC).

If you will be creating a new color scheme for the stereogram, you
will need to create a new Color File.  In this case, click on the
Create Color button.

Create Color

The Create Color button is used to create a new color scheme, and
hence, a new Color File.  Color Files are used in the creation of
Custom Color stereograms.

The Color File is a simple text file which describes to POPOUT how
to color your stereogram.  In a Custom Color stereogram, we
consider some of the pixels to be foreground pixels, and others to
be background pixels.  The foreground pixels of the Custom Color
stereogram may vary in color from top to bottom of the image.  The
background pixels all have the same color value.
When you press the Create Color button, a window which we call the
"Create Color File" window pops up.  In this window, you may select
any number of colors from 1 to 50 to make up the color scheme of
the foreground pixels in your stereogram.  You may also select the
color of the background pixels.

For a detailed description of the "Create Color File" window, refer
to the topic "Create Color File Window".  For a detailed
description of the structure of a Color File, refer to the topic
"Structure of the Color File".

Create Color File Window

"Create Color File" is the name of a POPOUT window that is opened
when you press the "Create Color" button.  The purpose of the
window is to allow the user to create a color scheme for Custom
Color stereograms, and hence a Color File.

The "Create Color File" window has the following controls:

                             -13-
Foreground Color Buttons

The "Create Color File" window contains eight buttons along the
left side of the window.  These buttons are used to create a color
scheme for the foreground pixels in Custom Color Stereograms.
You may press any of the eight color buttons from 1 to 50 times. 
By the sequence and number of button presses, you will define how
you want the color of foreground pixels to vary from the top to
bottom of the stereogram.

For example, if you press the buttons Red-White-Blue, the
foreground pixels of the stereogram will vary gradually from Red at
the top of the image to White in the middle, then finally from
White to Blue at the bottom.

As you press a color button, a list is maintained and displayed to
remind you of the color scheme you're designing.

Hint:
Color buttons may be pressed more than once.  For example, the key
presses Red-White-Blue will produce a color scheme different than
pressing Red-Red-White-White-Blue-Blue.  Experiment.

Another Hint:
If you've made a mistake, you can delete colors from the displayed
list.  Click on the entry in the list to highlight it, then click
on the Clear Button.

Background Color Select

To the right of the "Create Color File" window is a "combo box"
which allows you to select the color of the background pixels in a
Custom Color stereogram.
The default color of these background pixels is Black.

Hint:
If you will be printing this stereogram, try using  White as the
background color.  The resulting stereogram will tend to be less
"busy" looking.

Clear Button

The Clear button in the "Create Color File" window has two
purposes.  When selecting a foreground pixel color scheme, a list
of the colors you've chosen appears in the center of the window. 
If you click on one of the colors in the list to highlight it, then
press the Clear button, the entry will be deleted from the list. 
If you press the Clear button when no entries in the list are
highlighted, all of the entries are deleted.

                             -14-
Save and Cancel Buttons

Once you've chosen a list of foreground colors, and selected a
background color, click on the Save button to create a Color File. 
You will be prompted for a filename for the Color File.  POPOUT
Color Files have a default extension of *.POC.
Once you've saved your color scheme into a Color File, the "Create
Color File" window will close, and the name of your newly created
Color File will be entered into the "Color File" space in the
POPOUT Main Menu.

If you've decided that you don't want to be generating a Custom
Color stereogram afterall, click on the Cancel button to close the
"Create Color File" window.

Structure of a Color File

Most users will probably never have any need or desire to manually
modify a Color File.  Since a Color File is a simple text file
which can be edited using an editor such as Notepad, you may very
well want to "tinker" with Color Files.

In the interest of simplicity, we designed the "Create Color File"
window to create Color Files containing only full intensity primary
and secondary colors, as well as White and Black.  By "tweaking" a
Color File, you can create color schemes including many other
colors.  Therefore, we've included this topic to discuss the
structure of a Color File.

As previously mentioned, a Color File is a simple text file.  The
Color File can contain any number of lines.  Each line contains a
command to POPOUT.  There is a very strict syntax that must be
adhered to in a Color File (remember, since Color Files are
generated by POPOUT's "Create Color File" window, there's normally
never a problem - problems only occur when you modify a Color
File).

                             -15-
Each line in a Color File must begin with one of four words: RED,
GREEN, BLUE, or BLACK (case does not matter).  Any number of lines
may begin with the words RED, GREEN, or BLUE, but only one line may
begin with the word BLACK.  Furthermore, the line beginning with
the word BLACK must be the last line in the Color File.
For lines beginning with the words RED, GREEN, or BLUE, the syntax
is as follows:

COLOR STARTC ENDC STARTY ENDY

where:
COLOR is either RED, GREEN, or BLUE
STARTC is the beginning intensity (in percent) of the color ENDC is
the ending intensity (in percent) of the color
STARTY is the beginning line (in percent) of the stereogram ENDY is
the ending line (in percent) of the stereogram.

STARTC, ENDC, STARTY and ENDY are all integer numbers between 0 and
100 (inclusive), preceeded by one space.  ENDY must always be a
larger number than STARTY.

For the line beginning with the word "BLACK", the syntax is:

BLACK REDC GREENC BLUEC

where:
REDC is the amount (in percent) of Red in the background pixels.
GREENC is the amount (in percent) of Green in the background
pixels.
BLUEC is the amount (in percent) of Blue in the background pixels.

REDC, GREENC, and BLUEC must all be integer numbers between 0 and
100 (inclusive).

For example, the line:
RED 0 100 0 100
would be interpreted by POPOUT to mean, "Gradually vary Red from 0%
intensity to 100% intensity, from 0% down the image (the top) to
100% of the way down the image (the bottom).  In other words, this
command will ramp any red in the image from full-off at the top of
the stereogram, to full intensity at the bottom.

                             -16-
The following example is a Color File generated by pressing the
sequence Red-White-Blue in the "Create Color File" window, and
selecting Yellow as the background color.  Note that this sequence
will cause the foreground pixels in the stereogram to be Red at the
top of the image, gradually fading into White in the middle, then
onto Blue at the bottom.  The background pixels will be Yellow.

RED 100 100 0 50
RED 100 0 50 100
GREEN 0 100 0 50
GREEN 100 0 50 100
BLUE 0 0 0 50
BLUE 0 100 50 100
BLACK 100 100 0

The above example Color File would be interpreted by POPOUT as
follows:

The first line would be read by POPOUT as, "Vary Red from full-on
at the top of the image, to full on in the middle of the image". 
In other words, Red stays at full-on for the top half of the image.

The second line would be interpreted as, "Vary Red from full-on in
the middle of the image to full-off at the bottom".

The third line tells POPOUT to vary Green from full-off at the top
to full-on in the middle, and the fourth line says to ramp green
from full-on in the middle to full-off at the bottom.

The fifth and sixth lines ramps Blue from full-off at the top to
full-on in the middle, then to stay at full-on for the bottom half.
When POPOUT combines all of this information when creating
foreground pixels, we see that there is no Green or Blue at the top
of the image, but lots of Red.  So, the very top of the image will
be Red.  For the top half of the image, Green and Blue gradually
increase in intensity so that in the middle, we have full intensity
of all three colors, resulting in White in the middle (Red + Green
+ Blue = White).  Moving from the middle to the bottom of the
image, both Red and Green fall to full-off, while Blue stays at
full-on.  So, in the bottom half of the image, we fade from White
to Blue.

The last line of the Color File redefines the Black, or background
pixels, to be full-intensity Red and full-intensity Green, but no
Blue.  Red + Green = Yellow, so the background pixels will be
Yellow.

                             -17-
Hint:
If you're in there fiddling with Color Files, make sure and
"overlap" both color and position values.  For example, in the two
lines above that describe Red, the middle of the image (50%) is
defined in both lines.  Don't do something like:
RED 100 100 0 50
RED 100 0 51 100

In the above example, we haven't "covered" the area between 50% and
51% of the way down the image.

Hint:
Color Files are independant of the stereograms.  You may eventually
have an entire directory containg many Color Files that you've
created.  Any Color File may be used to color any stereogram.  We
suggest naming color files (which have a default extension of
*.POC) such that they indicate the color scheme.  For example, a
Color File containing the color scheme "Red, White, Blue" may be
called something like USFLAG.POC, or RWB.POC.

Hint:
If you're experimenting just to see if you can get a viewable
stereogram, you may want to leave the Output Style set to Black &
White, as these take up a lot less disk space than Random or Custom
Color stereograms.

Color File

The Color File button is used when you want POPOUT to create a
stereogram with a color scheme that you have previously defined and
stored on your disk as a Color File.  The Color File button is used
to select the Color File.  This button is enabled only when you've
selected the Output Style to be Custom Color.

Color Files are independant of stereograms.  You may in time have
a directory full of miscellaneous Color Files.  Any Color File may
be used to define the color for any Custom Color stereogram.
To create a Color File, refer to the topic "Create Color".

Hint:
Color Files have a default extension of *.POC.  Name a Color Files
to be descriptive of the color scheme it defines, not the
stereogram you're using it to create.  For example, a Color File
that describes the color scheme "Cyan, Magenta, Yellow, Black"
might be named something like CMYK.POC.

                             -18-
Pattern Width

One of the first things you notice when looking at a Random Dot
Stereogram is the seemingly repeating patterns of random dots
across the width of the image.  We refer to this distance between
repeating patterns as the Pattern Width.

When POPOUT generates a stereogram, it reads this parameter (which
we've arbitrarily defaulted to 48) to determine how many pixels to
generate before repeating the pattern.  The Pattern Width value is
specified in Pixels.

Since we don't know the resolution or size of your monitor, and we
don't know the resolution of your printer and whether you'll be
scaling your image before printing it, we don't know the physical
distance between patterns in your finished stereogram.  This
physical distance between patterns is what increases or decreases
the relative "depth" of the image contained within the stereogram. 
The wider the pattern, the more depth in the image.  Also, the
wider the pattern, the more difficult it will be for some people to
see the hidden image.

Depending on your own environment, you will probably want to
experiment with different values for the Pattern Width.  We
recommend a pattern width of somewhere between three quarters of an
inch to an inch and a half.

Pixel Density

When generating a Black & White or Custom Color stereogram, we have
the concept of "foreground" and "background" pixels.  In Black &
White stereograms, we consider the White pixels to be in the
foreground, and the Black ones to be in the background.  When
creating Custom Color stereograms, we consider the colored pixels
to be the foreground pixels, and the "Black" pixels (which may be
redefined to another color) to be the background pixels.
The Pixel Density is a percentage value.  It specifies to POPOUT
the percentage of foreground pixels that should be generated.  The
default value is 50, which tells POPOUT that when creating a Black
& White or Custom Color stereogram, make roughly half of the pixels
the foreground color, and half of the background color.
The reason for including the Pixel Density parameter is for
generating a stereogram which you intend to print.  Users who copy
their stereograms to directly to high density printers (such as the
300 and 600 dots per inch with no scaling) will find that
stereograms created with a 50% Pixel Density tend to be a bit dark.

By adjusting this value, a lighter print can be obtained. 
Allowable values are from 1 to 99 (both 0 and 100 make no sense, as
this would produce an image of all foreground or all background
pixels!)

                             -19-
Note:
The Pixel Density is not used when the Output Style is Random,
since there is no concept of foreground or background pixels.  In
this case, all pixel colors are chosen randomly by POPOUT.  The
words "Pixel Density" on the Main Menu will be either faded, or
gone altogether, depending on your particular Windows color scheme.

Generate and Cancel

The Generate button in the POPOUT Main Menu is the "DO IT" button. 
Once you've set up all of the controls, click on the Generate
button.

At this point, POPOUT will read your Source File drawing, and any
appropriate controls that you've set like Translate File, Output
Style, Pattern Width, etc.  POPOUT will create then create a file
on your disk with the name you gave as the Destination File.  This
file is your stereogram.  POPOUT displays a status bar at the
bottom of the menu to provide feedback as to where it is in
generating your stereogram.  Depending on the speed of your
computer, you may never even notice it.
Once POPOUT has finished generating your stereogram Destination
File, you may exit POPOUT if you wish.  The Cancel button is used
to exit POPOUT.

Hint:
Don't exit POPOUT if you're experimenting with an image.  Iconify
POPOUT, and view your stereogram using Paintbrush.  This way,
POPOUT will retail all of the parameters you've set up, and it will
make it easy to change a parameter for another iteration.

Another Hint:
Since the RDS is based on randomly generated pixels, sometimes you
may get a stereogram that just doesn't "look right".  A glob of
blue pixels here, a glob of black pixels there, etc.  Each time you
press the Generate button, POPOUT uses a different set of random
numbers, so keep hitting Generate, view the stereogram via
Paintbrush, go back and hit Generate again, etc., until you get a
stereogram that you like.

View and Print the Stereogram

Once you've clicked on the Generate button in the POPOUT Main Menu
and POPOUT generated your stereogram, you will want to view it. 
POPOUT saves your stereogram the filename given as the Destination
File, and saves it in BMP format.  Black & White stereograms are
stored in 2-color BMP format, while Random and Custom Color
stereograms are stored as 256-color BMP files.

                             -20-
Start Paintbrush, and Open the file that you specifed to POPOUT as
the Destination File.  If you're not satisfied with something,
either Open your Source File drawing and fix it, or fiddle with the
parameters in POPOUT.  Once you're satisfied, you may want to print
your stereogram.  Print your stereogram directly from Paintbrush. 
Refer to the topic "Hints for Printing".

Hints for Printing

Paintbrush contains a nice mechanism for printing your stereograms.

There are a few tips, however, that we've included so that you
produce the nicest looking hardcopy.

Always use the Printer Resolution.  When you print using
Paintbrush, there is a box in the Paintbrush Print window labelled
"Use Printer Resolution".  Always 'X' this box.  If you don't, you
may see vertical ridges or lines in your stereogram.

Try to scale by integer multiples of 100.  In the Paintbrush Print
window, scale by numbers like 100%, 200%, 300%, etc.  Otherwise,
you may see the same vertical lines or ridges mentioned above.
Depending on the resolution of your printer, and the scaling factor
mentioned above, you may need to go back and recreate your
stereogram with a different value for the Pattern Width in the
POPOUT Main Menu.  On paper, the distance between repeating
patterns should be around an inch to an inch and a half.
If you've generated a Black & White stereogram, and your printing
to a black and white printer, you may notice that the stereogram is
a bit dark, especially if you have a high resolution printer and
your print scale factor is small.  Go back and re-generate your
stereogram with a higher value for the Pixel Density in the POPOUT 
Main Menu.

Hint:
When you're working on a stereogram, never exit POPOUT or
Paintbrush.  Either iconify the one you're not using, or keep it in
back.  This makes any iteration of fiddling with your drawing,
fiddling with POPOUT parameters, viewing the stereogram, fiddling
again with your drawing, etc., a lot easier and quicker.

Hints for Viewing

Some folks will have no problems in viewing your stereogram images.

Others may need a bit of help.  Below is a list of "hints" that
we've compiled from different people.

Start with your head about a foot or so from the image.  Stare at
it and let your eyes relax.  If things start to move out of focus,
let them.  Keep staring.

                             -21-
With your head about a foot from the image, suddenly move toward
the image, and try not to refocus.

Stare at something at a far wall.  Then, suddenly, glance at the
image. Don't try to refocus on the image.

Get your nose right up to the image.  Gradually (or for some
people, quickly) move your head back.

Practice by drawing two dots on a piece of paper about an inch or
so apart.  Stare at them and let your eyes relax.  Both dots should
go out of focus, and you will see a total of four fuzzy dots.  Keep
staring.  As the two middle fuzzy dots start to move toward each
other, let them.  There will be a point where the two middle fuzzy
dots meet, and you will see a total of three dots, where the one in
the center is clear, and the two edge dots are fuzzy.  This is what
you need to be doing to your eyes to see the stereogram image.

On a printed stereogram, draw two dots like in the above hint just
above the stereogram, at a distance identical to the pattern width.

Once you stare and see three dots, gradually move your eyes down
into the stereogram without trying to refocus.

Problems, Suggestions, etc.

If you've encountered some sort of problem in trying to generate a
stereogram image using POPOUT, our first recommendation is to
rummage through this Help file.  We've tried to include a number of
tips and suggestions to give you the best possible results. 
Chances are, the answer to your question is buried in this Help
file somewhere.

If not, or if you have any other problems, either contact the agent
or merchant that sold you your software.  If he or she can't answer
your question, you can contact the authors by way of the addresses
shown below:

POPOUT
C/O Bob Hankinson
P.O. Box 50632
Dallas, Texas 75250

Or via the Internet, America OnLine, Prodigy, or CompuServe:
Internet or AOL:  BHankinson@aol.com
Prodigy: GRSR18B
CIS: 73144,1046
